This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 972684 (CVE-2013-4079)

Summary: CVE-2013-4079 wireshark: DoS (infinite loop, application hang) in the GSM CBCH dissector (wnpa-sec-2013-37)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: huzaifas, jrusnack, phatina, rvokal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130607,reported=20130609,source=cve,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/wireshark=notaffected,rhel-6/wireshark=notaffected,fedora-17/wireshark=notaffected,fedora-18/wireshark=affected,cwe=CWE-835[auto]
Fixed In Version: wireshark-1.8.8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-11 00:47:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 972762, 979246    
Bug Blocks: 972772    

Description Jan Lieskovsky 2013-06-10 08:05:13 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4079 to the following vulnerability:

The dissect_schedule_message function in epan/dissectors/packet-gsm_cbch.c in the GSM CBCH dissector in Wireshark 1.8.x before 1.8.8 allows remote attackers to cause a denial of service (infinite loop and application hang) via a crafted packet.

References:
[1] http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-gsm_cbch.c?r1=49686&r2=49685&pathrev=49686
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=49686
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.8.8.html
[4] http://www.wireshark.org/security/wnpa-sec-2013-37.html
[5] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8730
Comment 1 Jan Lieskovsky 2013-06-10 09:59:01 EDT
This issue did NOT affect the version of the wireshark package, as shipped with Fedora release of 17.

--

This issue affects the version of the wireshark package, as shipped with Fedora release of 18. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-06-10 10:35:49 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-18 [bug 972762]
Comment 3 Huzaifa S. Sidhpurwala 2013-06-11 00:46:55 EDT
The version of wireshark shipped with Red Hat Enterprise Linux 5 and 6 does not have support for GSM-CBCH Protocol. Therefore this flaw does not affect these versions.
Comment 4 Huzaifa S. Sidhpurwala 2013-06-11 00:47:12 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 5 Vincent Danen 2013-06-14 14:23:49 EDT
External References:

http://www.wireshark.org/security/wnpa-sec-2013-37.html
Comment 6 Fedora Update System 2013-09-27 20:13:28 EDT
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-02 21:04:25 EDT
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-12-19 02:11:04 EST
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.